Hide navigation sidebar
Hide table of contents sidebar
PyGObject

- Getting Started
- Changelog
- Bug Tracker / Git / Source
- User Guide
  Toggle navigation of User Guide
  - API Reference
    Toggle navigation of API Reference
    - GI Documentation
    - Basic Types
    - Flags & Enums
    - GObject.Object
      Toggle navigation of GObject.Object
      - Signals
      - Properties
      - Weak References
    - Error Handling
  - Cairo Integration
  - Gtk.Template
  - Threads & Concurrency
  - Debugging & Profiling
  - Application Deployment
  - Testing and Continuous Integration
  - Porting from Static Bindings
  - System Dependencies
  - Frequently Asked Questions
- Development Guide
  Toggle navigation of Development Guide
  - Overview
  - Creating a Development Environment
  - Style Guidelines
  - Python Override Guidelines
- Packaging Guide
- Maintainer Guide
- Further Resources
- Contact

Back to top
Toggle table of contents sidebar

# API Reference

- GI Documentation
- Basic Types
- Flags & Enums
- GObject.Object
- Error Handling